Bug 1421406 - Review Request: python-libtmux - Scripting library for tmux
Summary: Review Request: python-libtmux - Scripting library for tmux
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 03:56 UTC by David Roble
Modified: 2020-02-14 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-14 14:26:45 UTC
Type: ---
randy: fedora-review+


Attachments (Terms of Use)

Description David Roble 2017-02-12 03:56:30 UTC
Spec URL: https://fedorapeople.org/~robled/python-libtmux.spec

SRPM URL: https://fedorapeople.org/~robled/python-libtmux-0.6.0-1.fc25.src.rpm

Description: libtmux is the tool behind tmuxp, a tmux workspace manager in
python.  It builds upon tmux' target and formats to create an object mappings
to traverse, inspect and interact with live tmux sesssions.

Fedora Account System Username: robled

Comment 1 Randy Barlow 2017-02-12 16:18:54 UTC
Here are things we must fix before this can be approved:

* You can't use macros in the changelog because they will change over time. i.e.,
  you have the %{version} in there, but the next time you make a release your
  changelog for this release will change. You should instead hardcode 0.6.0-1
  there.

* Your python2- and python3- subpackages do not Require tmux like they should.
  The Require line applies to a non-existing python-tmux subpackage. I suggest
  deleting that line and copying it into the two %package -n sections so they
  each Require tmux.


These things are suggestions, and are at your option:

* The quotes in your desc global are literally going into the RPM descriptions.
  They aren't needed, so I suggest dropping them.

* Should the ' character be followed by an s after in "tmux' target…" in the
  description?

* You have a misleading comment in your install section about doing the py2
  install first due to scripts in /usr/bin - there are no scripts in /usr/bin. I
  suggest dropping this comment.

Comment 2 David Roble 2017-02-12 17:39:17 UTC
Linked specfile and srpm has been updated per change requests.

Comment 3 Randy Barlow 2017-02-12 18:02:39 UTC
Only one more thing I recommend you to fix - the word "sessions" is misspelled in the description.

APPROVED!


Package Review
==============
                                                                                                                                                             
Legend:                                                                                                                                                                                                                                      
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated                                                                                                                                                                            
[ ] = Manual review needed                                                                                                                                                                                                                   
                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                             
===== MUST items =====                                                                                                                                                                                                                       
                                                                                                                                                                                                                                             
Generic:                                                                                                                                                                                                                                     
[x]: Package is licensed with an open-source compatible license and meets                                                                                                                                                                    
     other legal requirements as defined in the legal section of Packaging                                                                                                                                                                   
     Guidelines.                                                                                                                                                                                                                             
[x]: License field in the package spec file matches the actual license.                                                                                                                                                                      
     Note: Checking patched sources after %prep for licenses. Licenses                                                                                                                                                                       
     found: "BSD (3 clause)", "BSD (unspecified)", "Unknown or generated".                                                                                                                                                                   
     49 files have unknown license. Detailed output of licensecheck in                                                                                                                                                                       
     /home/rbarlow/reviews/1421406-python-libtmux/licensecheck.txt                                                                                                                                                                           
[x]: License file installed when any subpackage combination is installed.                                                                                                                                                                    
[x]: Package contains no bundled libraries without FPC exception.                                                                                                                                                                            
[x]: Changelog in prescribed format.                                                                                                                                                                                                         
[x]: Sources contain only permissible code or content.                                                                                                                                                                                       
[-]: Package contains desktop file if it is a GUI application.                                                                                                                                                                               
[-]: Development files must be in a -devel package                                                                                                                                                                                           
[x]: Package uses nothing in %doc for runtime.                                                                       
[x]: Package consistently uses macros (instead of hard-coded directory                                               
     names).                                                                                                                                                                                                                                  
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-libtmux , python3-libtmux
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     randy: I assume the tests require a pty to pass, or are otherwise not
            possible to run in Koji.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

randy:
[!]: sessions is misspelled in the description.

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-libtmux-0.6.0-1.fc26.noarch.rpm
          python3-libtmux-0.6.0-1.fc26.noarch.rpm
          python-libtmux-0.6.0-1.fc26.src.rpm
python2-libtmux.noarch: W: spelling-error %description -l en_US tmuxp -> litmus
python2-libtmux.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python2-libtmux.noarch: W: spelling-error %description -l en_US tmux's -> tux's
python2-libtmux.noarch: W: spelling-error %description -l en_US sesssions -> sessions, session, secession
python3-libtmux.noarch: W: spelling-error %description -l en_US tmuxp -> litmus
python3-libtmux.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-libtmux.noarch: W: spelling-error %description -l en_US tmux's -> tux's
python3-libtmux.noarch: W: spelling-error %description -l en_US sesssions -> sessions, session, secession
python-libtmux.src: W: spelling-error Summary(en_US) tmux -> tux
python-libtmux.src: W: spelling-error %description -l en_US tmuxp -> litmus
python-libtmux.src: W: spelling-error %description -l en_US tmux -> tux
python-libtmux.src: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python-libtmux.src: W: spelling-error %description -l en_US tmux's -> tux's
python-libtmux.src: W: spelling-error %description -l en_US sesssions -> sessions, session, secession
3 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-libtmux.noarch: W: spelling-error %description -l en_US tmuxp -> litmus
python2-libtmux.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python2-libtmux.noarch: W: spelling-error %description -l en_US tmux's -> tux's
python2-libtmux.noarch: W: spelling-error %description -l en_US sesssions -> sessions, session, secession
python3-libtmux.noarch: W: spelling-error %description -l en_US tmuxp -> litmus
python3-libtmux.noarch: W: spelling-error %description -l en_US workspace -> work space, work-space, works pace
python3-libtmux.noarch: W: spelling-error %description -l en_US tmux's -> tux's
python3-libtmux.noarch: W: spelling-error %description -l en_US sesssions -> sessions, session, secession
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
python2-libtmux (rpmlib, GLIBC filtered):
    python(abi)
    tmux

python3-libtmux (rpmlib, GLIBC filtered):
    python(abi)
    tmux



Provides
--------
python2-libtmux:
    python-libtmux
    python2-libtmux
    python2.7dist(libtmux)
    python2dist(libtmux)

python3-libtmux:
    python3-libtmux
    python3.6dist(libtmux)
    python3dist(libtmux)



Source checksums
----------------
https://github.com/tony/libtmux/archive/v0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : a61ea49c3845228d4a8b823c5295f269c506fba6928fece77ff3f7ae453ba21d
  CHECKSUM(SHA256) upstream package : a61ea49c3845228d4a8b823c5295f269c506fba6928fece77ff3f7ae453ba21d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1421406
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 David Roble 2017-02-12 18:29:13 UTC
I uploaded a new spec and srpm with the spelling fix.

Comment 5 Gwyn Ciesla 2017-02-12 22:52:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-libtmux

Comment 6 Fedora Update System 2017-02-12 23:49:30 UTC
python-libtmux-0.6.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8db93ec64

Comment 7 Fedora Update System 2017-02-14 00:53:50 UTC
python-libtmux-0.6.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8db93ec64


Note You need to log in before you can comment on or make changes to this bug.